GET api/pcconfigapi/pcconfigs/{pcId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| pcId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Response Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "e57fb42a-852e-4e73-a30f-a978a3720eee",
"key": "052b7d47-cb12-47c4-88ad-8694744e262e",
"pc_id": "85a5eee3-8ef8-4257-bc03-9fb43a595629",
"value": "sample string 3"
},
{
"active": true,
"id": "e57fb42a-852e-4e73-a30f-a978a3720eee",
"key": "052b7d47-cb12-47c4-88ad-8694744e262e",
"pc_id": "85a5eee3-8ef8-4257-bc03-9fb43a595629",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>e57fb42a-852e-4e73-a30f-a978a3720eee</id>
<key>052b7d47-cb12-47c4-88ad-8694744e262e</key>
<pc_id>85a5eee3-8ef8-4257-bc03-9fb43a595629</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>e57fb42a-852e-4e73-a30f-a978a3720eee</id>
<key>052b7d47-cb12-47c4-88ad-8694744e262e</key>
<pc_id>85a5eee3-8ef8-4257-bc03-9fb43a595629</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>